---

#! jobs/stress-ng-class-os.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 10%
disk: 1HDD
testtime: 60s
fs: ext4
stress-ng:
  class: os
  test: pipeherd
job_origin: stress-ng-class-os.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-icl-2sp7
tbox_group: lkp-icl-2sp7
submit_id: 655162e77e1bd07a0c0df3b8
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp7/stress-ng-os-performance-1HDD-ext4-10%-pipeherd-60s-debian-11.1-x86_64-20220510.cgz-dfaabf916b1c-20231113-31244-vrx93z-1.yaml"
id: 28c18f4c46ee758042353bf724ee2437792714eb
queuer_version: "/zday/lkp"

#! /db/releases/20231103102523/lkp-src/hosts/lkp-icl-2sp7
model: Ice Lake
nr_node: 2
nr_cpu: 64
memory: 256G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-22UA7T0_WD-WXK2E319F11A-part*"
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x6988f014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Gold 6346 CPU @ 3.10GHz

#! /db/releases/20231103102523/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- BLK_DEV_SD
- SCSI
- BLOCK: y
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: y
- EXT4_FS
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20231103102523/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20231103102523/lkp-src/include/disk/nr_hdd

#! /db/releases/20231103102523/lkp-src/include/fs/OTHERS

#! /db/releases/20231103102523/lkp-src/include/stress-ng

#! /db/releases/20231103102523/lkp-src/include/queue/cyclic
commit: dfaabf916b1ca83cfac856745db2fc9d57d9b13a

#! /db/releases/20231103102523/lkp-src/include/testbox/lkp-icl-2sp7
ucode: '0xd0003a5'
kconfig: x86_64-rhel-8.3
enqueue_time: 2023-11-13 07:42:32.033490003 +08:00
_id: 655167327e1bd07a0c0df3b9
_rt: "/result/stress-ng/os-performance-1HDD-ext4-10%-pipeherd-60s/lkp-icl-2sp7/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/dfaabf916b1ca83cfac856745db2fc9d57d9b13a"
compiler: gcc-12
head_commit: bb6f7352bae85684e8913227ba9f715b3225d7c7
base_commit: ffc253263a1375a65fa6c9f62a893e9767fbebfa
branch: internal-devel/devel-hourly-20231106-151034
rootfs: debian-11.1-x86_64-20220510.cgz

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20231112-143354"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-11.1-x86_64-20220510.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/os-performance-1HDD-ext4-10%-pipeherd-60s/lkp-icl-2sp7/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/dfaabf916b1ca83cfac856745db2fc9d57d9b13a/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-12/dfaabf916b1ca83cfac856745db2fc9d57d9b13a/vmlinuz-6.6.0-rc1-00007-gdfaabf916b1c
- branch=internal-devel/devel-hourly-20231106-151034
- job=/lkp/jobs/scheduled/lkp-icl-2sp7/stress-ng-os-performance-1HDD-ext4-10%-pipeherd-60s-debian-11.1-x86_64-20220510.cgz-dfaabf916b1c-20231113-31244-vrx93z-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=dfaabf916b1ca83cfac856745db2fc9d57d9b13a
- nmi_watchdog=0
- acpi_rsdp=0x6988f014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-12/dfaabf916b1ca83cfac856745db2fc9d57d9b13a/modules.cgz"
bm_initrd: "/osimage/deps/debian-11.1-x86_64-20220510.cgz/run-ipconfig_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/lkp_20220513.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rsync-rootfs_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/fs_20220526.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/stress-ng_20231112.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/stress-ng-x86_64-0.15.04-1_20231112.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/mpstat_20220516.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/turbostat_20220514.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/turbostat-x86_64-210e04ff7681-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/perf_20230522.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/perf-x86_64-00c7b5f4ddc5-1_20230402.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/sar-x86_64-c5bb321-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/hw_20220526.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rootfs_20220515.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20231106164524/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp7/stress-ng-os-performance-1HDD-ext4-10%-pipeherd-60s-debian-11.1-x86_64-20220510.cgz-dfaabf916b1c-20231113-31244-vrx93z-1.cgz"
last_kernel: 6.6.0-rc4-00031-g7543365739a4
acpi_rsdp: '0x6988f014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-12/dfaabf916b1ca83cfac856745db2fc9d57d9b13a/vmlinuz-6.6.0-rc1-00007-gdfaabf916b1c"
result_root: "/result/stress-ng/os-performance-1HDD-ext4-10%-pipeherd-60s/lkp-icl-2sp7/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/dfaabf916b1ca83cfac856745db2fc9d57d9b13a/0"

#! /cephfs/db/releases/20231112225924/lkp-src/include/site/inn
dequeue_time: 2023-11-13 08:16:04.533166565 +08:00
job_state: finished
loadavg: 6.70 5.20 2.15 1/750 7821
start_time: '1699834562'
end_time: '1699834624'
version: "/lkp/lkp/.src-20231112-143503:d1bc24c6eeac:1fade3fe8f89"
